> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/webhooks/testing-your-webhooks.md).

# Testing your webhooks

## Introduction

With Webhook.site, you can easily test HTTP webhooks and other types of HTTP requests.

Upon visiting the app, you get a random URL to send your requests and webhooks to, and they’re all logged in the app – instantly. Check it out at [https://webhook.site](https://webhook.site/).

{% hint style="danger" %}
Please note that you ONLY use this external service (webhook.site) for testing purposes, to keep your customers' data secure and GDPR compliant.
{% endhint %}

### Step 1 - creating a service

Simply navigate your browser to [https://webhook.site](https://webhook.site/) to create the receiving web service.

![](/files/-LyUIlIuXIUzEGJUCJio)

A URL you can use for your webhook will be generated automatically, and displayed as shown in the screenshot below. The service is listening for your Socialboards webhook posts, waiting for its first request.

![](/files/-LyUItKsw-CBsbdvLoP3)

### Step 2 - Activate webhooks in your Socialboard

Navigate to Configuration > Company > General settings > Webhooks, and activate the webhook(s) you want to test. In this example we'll use the "New ticket" webhook.

![](/files/-LyUKHxES_ijBav1Jipy)

In the modal window, enter the URL you copied in step 1, along with a callback random variable.

![](/files/-LyUJa0kIuuSFNjM_hLF)

### Step 3 - test the webhook by submitting a new ticket

Send a new ticket to any channel connected to your Socialboard. Within a second or two, your webhook.site service presents the JSON it received from your ticket.

![](/files/-LyUKdOVNNWNo9Dpk_Mz)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/webhooks/testing-your-webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
